> For the complete documentation index, see [llms.txt](https://docs.varbase.vardot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.varbase.vardot.com/9.1.x/developers/understanding-varbase/optional-components/varbase-media-twitter.md).

# Varbase Media Twitter

Manages default config for Tweet media type.

## Varbase Media Twitter Module

{% hint style="info" %}
Varbase media twitter features are bundled through the **Varbase Media Twitter** module as part of the **Varbase Media** module.\
GitHub: <https://github.com/Vardot/varbase_media>\
Drupal.org: <https://www.drupal.org/project/varbase_media>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Media Twitter** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_media
                |-- modules
                    |-- varbase_media_twitter
```

Brings in the following core and contributed modules to your site:

| Module                                                                          | Purpose                        |
| ------------------------------------------------------------------------------- | ------------------------------ |
| [**Media Entity Twitter**](https://www.drupal.org/project/media_entity_twitter) | Media Entity Twitter provider. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/9.1.x/developers/understanding-varbase/optional-components/varbase-media-twitter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
